# TODO:
# - find/wait for OMXIL implementation with OMX_VIDEO_CodingVP8 (requires OpenMAX-IL 1.2 or extension?)
#   OMX_VIDEO_CodingTheora (not available in raw OpenMAX-IL 1.1.2 or 1.2)
# - tizonia as an alternative for bellagio?
%define		gst_ver		1.16.0
%include	/usr/lib/rpm/macros.gstreamer
Summary:	GStreamer plug-in that allows communication with OpenMAX IL components
Summary(pl.UTF-8):	Wtyczka GStreamera pozwalająca na komunikację z komponentami OpenMAX IL
Name:		gstreamer-openmax
Version:	1.16.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://gstreamer.freedesktop.org/src/gst-omx/gst-omx-%{version}.tar.xz
# Source0-md5:	c6f8554513980682099a2a9832250b01
URL:		https://gstreamer.freedesktop.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gstreamer-devel >= %{gst_ver}
BuildRequires:	gstreamer-gl-devel >= %{gst_ver}
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	gtk-doc >= 1.3
# currently internal headers used (last bellagio release misses some defines)
#BuildRequires:	libomxil-bellagio-devel
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig
BuildRequires:	python >= 2.1
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# EGL-devel, OpenGL-GLESv2-devel, xorg-lib-libX11-devel  for examples only
Requires:	glib2 >= 1:2.40.0
Requires:	gstreamer >= %{gst_ver}
Requires:	gstreamer-gl-libs >= %{gst_ver}
Requires:	libomxil-bellagio
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GstOpenMAX is a GStreamer plug-in that allows communication with
OpenMAX IL components.

OpenMAX IL is an industry standard that provides an abstraction layer
for computer graphics, video, and sound routines.

%description -l pl.UTF-8
GstOpenMAX to wtyczka GStreamera pozwalająca na komunikację z
komponentami OpenMAX IL.

OpenMAX IL to standard przemysłowy zapewniający warstwę abstrakcji dla
funkcji grafiki komputerowej, obrazu i dźwięku komp.

%prep
%setup -q -n gst-omx-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4 -I common/m4
%{__autoconf}
%{__autoheader}
%{__automake}
# NOTE: force internal OMX IL headers for now, bellagio doesn't provide OMX_VERSION_* (OMX IL 1.2 required?)
%configure \
	ac_cv_header_OMX_Core_h=no \
	--disable-silent-rules \
	--disable-static \
	--with-omx-target=bellagio
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README RELEASE
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstomx.so
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/gstomx.conf
%changelog
* Sat Jul 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamer-openmax.git;a=log;h=master

* Sat Jul 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 1d5a97b
- updated to 1.16.0

* Sat Mar 09 2019 Jakub Bogusz <qboosh@pld-linux.org> 407dd45
- fixed -gl dependency; release 2

* Wed Mar 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 0f3f147
- updated to 1.14.4

* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> 8717fc3
- release 2 (by relup.sh)

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 3f8aa8a
- updated to 1.12.4

* Thu Jul 27 2017 Jakub Bogusz <qboosh@pld-linux.org> ff3757e
- updated to 1.12.2

* Sun May 14 2017 Jakub Bogusz <qboosh@pld-linux.org> 0d991fe
- updated to 1.12.0

* Mon Jul 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 7feb7dc
- updated to 1.2.0

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> d668e1c
- updated to 1.0.0

* Sun Jan 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 0dbedd3
- updated to 0.10.1

* Wed Apr 21 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 9227043
- updated to 0.10.0.5

* Sun Aug 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 86b7064
- updated to 0.10.0.4

* Fri Feb 22 2008 Jakub Bogusz <qboosh@pld-linux.org> 3bb173c
- updated to 0.10.0.3

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 1a52de6
- new

